> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Distance

> Calculate Euclidean distance between two points.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/math/distance
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/math/distance:
    get:
      tags:
        - Math Utilities
      summary: Distance
      description: Calculate Euclidean distance between two points.
      operationId: distance_v1_math_distance_get
      parameters:
        - name: x1
          in: query
          required: true
          schema:
            type: number
            description: X coordinate of point 1
            title: X1
          description: X coordinate of point 1
        - name: y1
          in: query
          required: true
          schema:
            type: number
            description: Y coordinate of point 1
            title: Y1
          description: Y coordinate of point 1
        - name: x2
          in: query
          required: true
          schema:
            type: number
            description: X coordinate of point 2
            title: X2
          description: X coordinate of point 2
        - name: y2
          in: query
          required: true
          schema:
            type: number
            description: Y coordinate of point 2
            title: Y2
          description: Y coordinate of point 2
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````